body {
    counter-reset: figures;
}

.content>figure {
    border: 1px solid oklch(from var(--background) calc(l + 0.1) c h);
    background: oklch(from var(--background) calc(l - 0.05) c h);
    padding: 1em;
    border-radius: 2em;
    text-align: center;

    img, video, svg {
        margin: 0;
        padding: 0;
        width: 100%;
        height: 100%;
        object-fit: contain;
    }

    & > .caption {
        margin-top: 1ex;
        padding-top: 1ex;
        border-top: 1px solid oklch(from var(--background) calc(l + 0.1) c h);
        text-align: left;

        &:before {
            content: "Fig. " counter(figures) ": ";
            counter-increment: figures;
            font-weight: bold;
        }
    }
}



@media screen and (max-width: 48em) {
    .content > figure {
        padding: 1ex;
        border-radius: 2ex;

        margin: 1ex 0;
    }
}

.section {
    .header {
        font-family: var(--sans);

        h2 {
            margin: 0 0 0.25rem 0;
            text-align: justify;
        }

        .pure-button {
            margin: 0;
            padding: 0 0.5ex;
            color: var(--link);

            &:hover {
                color: var(--background);
            }
        }

        >ul,
        >div {
            font-size: 0.875em;
            line-height: 1.5em;
        }

        ul {
            list-style: none;
            color: var(--gray);

            margin: 1ex 0;
            padding: 0;
            line-height: 1em;

            &:has(svg.lucide) {
                & {
                    margin-top: 1.125em;
                    display: flex;
                    gap: 1ex;
                }

                a:has(.lucide) {
                    border: 1px solid var(--link);
                    padding: 0.5ex 0.75ex;
                    border-radius: 1ex;
                    transition: all 175ms ease;

                    &:hover {
                        color: var(--background);
                        background: var(--link);
                        text-decoration: none;
                    }
                }
            }

            li {
                display: inline;
            }

            &:not(:has(svg.lucide))>li:not(:first-child)::before {
                content: '•';
                font-size: 0.875em;
                padding: 0 0.5em;
                margin-left: -0.5ex;
            }
        }
    }
}